Diffusion model for high‑fidelity image generation and editing, with strong prompt adherence, preserved composition and lighting, and adjustable quality…
Use this file to discover all available pages before exploring further.
Try GPT Image 1.5 in the Workbench
Run this model interactively, tune parameters, and compare outputs.
Model ID:gpt-image-1-5GPT Image 1.5 is an image generation model that excels in generating high-fidelity images with strong prompt adherence, while preserving composition, lighting, and fine-grained detail from input images.Some other noteworthy features of GPT Image 1.5 include image-to-image editing, support for resolutions like 1024x1024, 1536x1024, and 1024x1536, and options for adjustable quality, input fidelity, and background (auto, transparent, opaque).
Metric
Value
Parameter Count
Unknown
Mixture of Experts
Unknown
Context Length
Unknown
Multilingual
No
Quantized*
Unknown
*Quantization is specific to the inference provider and the model may be offered with different quantization levels by other providers.
curl -X POST https://hub.oxen.ai/api/ai/images/generate \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $OXEN_API_KEY" \ -d '{ "model": "gpt-image-1-5", "prompt": "An ox standing in the middle of a long open road, in the snow, centered and staring at the camera. It is quietly snowing around him."}'
curl -X POST https://hub.oxen.ai/api/ai/images/generate \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $OXEN_API_KEY" \ -d '{ "model": "gpt-image-1-5", "prompt": "An ox standing in the middle of a long open road, in the snow, centered and staring at the camera. It is quietly snowing around him.", "input_image": [ "https://hub.oxen.ai/api/repos/elau/assets/file/main/bloxy/bloxy_cropped_512x512.png" ]}'
curl -X POST https://hub.oxen.ai/api/ai/images/generate \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $OXEN_API_KEY" \ -d '{ "model": "gpt-image-1-5", "prompt": "An ox standing in the middle of a long open road, in the snow, centered and staring at the camera. It is quietly snowing around him.", "input_image": [ "https://hub.oxen.ai/api/repos/elau/assets/file/main/bloxy/bloxy_cropped_512x512.png" ], "output_format": "png", "size": "auto"}'
# Enqueue, capture the generation id.GEN_ID=$(curl -s -X POST https://hub.oxen.ai/api/ai/queue \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $OXEN_API_KEY" \ -d '{ "model": "gpt-image-1-5", "prompt": "An ox standing in the middle of a long open road, in the snow, centered and staring at the camera. It is quietly snowing around him."}' | jq -r '.generations[0].generation_id')# Poll until the generation reaches a terminal status.while true; do STATUS=$(curl -s -H "Authorization: Bearer $OXEN_API_KEY" \ "https://hub.oxen.ai/api/ai/queue/$GEN_ID" | jq -r '.status') echo "Status: $STATUS" case $STATUS in succeeded|failed|cancelled) break;; esac sleep 5done# Print the result.curl -s -H "Authorization: Bearer $OXEN_API_KEY" \ "https://hub.oxen.ai/api/ai/queue/$GEN_ID" | jq .
# Enqueue, capture the generation id.GEN_ID=$(curl -s -X POST https://hub.oxen.ai/api/ai/queue \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $OXEN_API_KEY" \ -d '{ "model": "gpt-image-1-5", "prompt": "An ox standing in the middle of a long open road, in the snow, centered and staring at the camera. It is quietly snowing around him.", "input_image": [ "https://hub.oxen.ai/api/repos/elau/assets/file/main/bloxy/bloxy_cropped_512x512.png" ]}' | jq -r '.generations[0].generation_id')# Poll until the generation reaches a terminal status.while true; do STATUS=$(curl -s -H "Authorization: Bearer $OXEN_API_KEY" \ "https://hub.oxen.ai/api/ai/queue/$GEN_ID" | jq -r '.status') echo "Status: $STATUS" case $STATUS in succeeded|failed|cancelled) break;; esac sleep 5done# Print the result.curl -s -H "Authorization: Bearer $OXEN_API_KEY" \ "https://hub.oxen.ai/api/ai/queue/$GEN_ID" | jq .
# Enqueue, capture the generation id.GEN_ID=$(curl -s -X POST https://hub.oxen.ai/api/ai/queue \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $OXEN_API_KEY" \ -d '{ "model": "gpt-image-1-5", "prompt": "An ox standing in the middle of a long open road, in the snow, centered and staring at the camera. It is quietly snowing around him.", "input_image": [ "https://hub.oxen.ai/api/repos/elau/assets/file/main/bloxy/bloxy_cropped_512x512.png" ], "output_format": "png", "size": "auto"}' | jq -r '.generations[0].generation_id')# Poll until the generation reaches a terminal status.while true; do STATUS=$(curl -s -H "Authorization: Bearer $OXEN_API_KEY" \ "https://hub.oxen.ai/api/ai/queue/$GEN_ID" | jq -r '.status') echo "Status: $STATUS" case $STATUS in succeeded|failed|cancelled) break;; esac sleep 5done# Print the result.curl -s -H "Authorization: Bearer $OXEN_API_KEY" \ "https://hub.oxen.ai/api/ai/queue/$GEN_ID" | jq .
# Enqueue, capture the generation id.GEN_ID=$(curl -s -X POST https://hub.oxen.ai/api/ai/queue \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $OXEN_API_KEY" \ -d '{ "model": "gpt-image-1-5", "prompt": "An ox standing in the middle of a long open road, in the snow, centered and staring at the camera. It is quietly snowing around him."}' | jq -r '.generations[0].generation_id')# Stream the SSE channel, grab the data line that follows a# media_generation_completed event for our id, and pretty-print it.curl -sN -H "Authorization: Bearer $OXEN_API_KEY" https://hub.oxen.ai/api/events \ | awk -v id="$GEN_ID" ' /^event: media_generation_completed$/ { expect=1; next } /^data: / && expect { payload = substr($0, 7) if (index(payload, "\"generation_id\":\"" id "\"")) { print payload; exit } expect = 0 } ' | jq .
# Enqueue, capture the generation id.GEN_ID=$(curl -s -X POST https://hub.oxen.ai/api/ai/queue \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $OXEN_API_KEY" \ -d '{ "model": "gpt-image-1-5", "prompt": "An ox standing in the middle of a long open road, in the snow, centered and staring at the camera. It is quietly snowing around him.", "input_image": [ "https://hub.oxen.ai/api/repos/elau/assets/file/main/bloxy/bloxy_cropped_512x512.png" ]}' | jq -r '.generations[0].generation_id')# Stream the SSE channel, grab the data line that follows a# media_generation_completed event for our id, and pretty-print it.curl -sN -H "Authorization: Bearer $OXEN_API_KEY" https://hub.oxen.ai/api/events \ | awk -v id="$GEN_ID" ' /^event: media_generation_completed$/ { expect=1; next } /^data: / && expect { payload = substr($0, 7) if (index(payload, "\"generation_id\":\"" id "\"")) { print payload; exit } expect = 0 } ' | jq .
# Enqueue, capture the generation id.GEN_ID=$(curl -s -X POST https://hub.oxen.ai/api/ai/queue \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $OXEN_API_KEY" \ -d '{ "model": "gpt-image-1-5", "prompt": "An ox standing in the middle of a long open road, in the snow, centered and staring at the camera. It is quietly snowing around him.", "input_image": [ "https://hub.oxen.ai/api/repos/elau/assets/file/main/bloxy/bloxy_cropped_512x512.png" ], "output_format": "png", "size": "auto"}' | jq -r '.generations[0].generation_id')# Stream the SSE channel, grab the data line that follows a# media_generation_completed event for our id, and pretty-print it.curl -sN -H "Authorization: Bearer $OXEN_API_KEY" https://hub.oxen.ai/api/events \ | awk -v id="$GEN_ID" ' /^event: media_generation_completed$/ { expect=1; next } /^data: / && expect { payload = substr($0, 7) if (index(payload, "\"generation_id\":\"" id "\"")) { print payload; exit } expect = 0 } ' | jq .
Input images to transform or use as reference (supports multiple image urls)
output_format
string
"png"
Format of the output images One of: webp, jpeg, png.
size
string
"auto"
The size of the generated images. Must be one of portrait (1024x1536), landscape (1536x1024), or auto (1024x1024 or determined by model) One of: auto, square, portrait, landscape.
⌘I
Assistant
Responses are generated using AI and may contain mistakes.